'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var ADD_OPTIONS = exports.ADD_OPTIONS = 'ADD_OPTIONS';

var addOptions = exports.addOptions = function addOptions(optionLists) {
  var mergedOptions = {};

  Object.keys(optionLists).forEach(function (optionListName) {
    var _optionLists$optionLi = optionLists[optionListName],
        values = _optionLists$optionLi.values,
        messageDescriptors = _optionLists$optionLi.messageDescriptors;


    mergedOptions[optionListName] = values.map(function (value) {
      var merged = {
        value: value
      };

      if (messageDescriptors && messageDescriptors[value]) {
        merged.messageDescriptor = messageDescriptors[value];
      }

      return merged;
    });
  });

  return {
    type: ADD_OPTIONS,
    payload: mergedOptions
  };
};