'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = OptionControlledInput;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _PrefixFilteringControlledInput = require('./PrefixFilteringControlledInput');

var _PrefixFilteringControlledInput2 = _interopRequireDefault(_PrefixFilteringControlledInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = _extends({}, _PrefixFilteringControlledInput2.default.propTypes, {
  intl: _reactIntl.intlShape,
  options: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    messageDescriptor: _react.PropTypes.shape({
      id: _react.PropTypes.string,
      defaultMessage: _react.PropTypes.string
    })
  }))
});

var defaultProps = {
  options: []
};

function OptionControlledInput(props) {
  var intl = props.intl,
      options = props.options,
      remainingProps = _objectWithoutProperties(props, ['intl', 'options']);

  var labeledOptions = options.map(function (option) {
    if (option.messageDescriptor) {
      return Object.assign({}, option, {
        label: intl.formatMessage(option.messageDescriptor)
      });
    }

    return option;
  });

  return _react2.default.createElement(_PrefixFilteringControlledInput2.default, _extends({}, remainingProps, {
    intl: intl,
    options: labeledOptions
  }));
}

OptionControlledInput.propTypes = propTypes;
OptionControlledInput.defaultProps = defaultProps;