'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = PrefixFilteringControlledInput;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _cspaceInput = require('cspace-input');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var PrefixFilteringDropdownMenuInput = _cspaceInput.enhancers.withNormalizedOptions(_cspaceInput.baseComponents.PrefixFilteringDropdownMenuInput);

var messages = (0, _reactIntl.defineMessages)({
  count: {
    'id': 'controlledInput.count',
    'defaultMessage': '{count, plural, =0 {No matches} one {# match} other {# matches}} found'
  }
});

function PrefixFilteringControlledInput(props) {
  var intl = props.intl,
      remainingProps = _objectWithoutProperties(props, ['intl']);

  var formatStatusMessage = function formatStatusMessage(count) {
    return intl.formatMessage(messages.count, { count: count });
  };

  return _react2.default.createElement(PrefixFilteringDropdownMenuInput, _extends({
    formatStatusMessage: formatStatusMessage
  }, remainingProps));
}

PrefixFilteringControlledInput.propTypes = _extends({}, PrefixFilteringDropdownMenuInput.propTypes, {
  intl: _reactIntl.intlShape
});