'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectedVocabularyControlledInput = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _reactRedux = require('react-redux');

var _reactIntl = require('react-intl');

var _warning = require('warning');

var _warning2 = _interopRequireDefault(_warning);

var _VocabularyControlledInput = require('../../components/input/VocabularyControlledInput');

var _VocabularyControlledInput2 = _interopRequireDefault(_VocabularyControlledInput);

var _vocabulary = require('../../actions/vocabulary');

var _reducers = require('../../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var mapStateToProps = function mapStateToProps(state, ownProps) {
  var vocabularyName = ownProps.vocabularyName;


  var vocabulary = (0, _reducers.getVocabulary)(state, vocabularyName);

  return {
    // isLoading: vocabulary ? vocabulary.isReadPending : true,
    items: vocabulary ? vocabulary.items : null
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  var name = ownProps.name,
      vocabularyName = ownProps.vocabularyName;


  process.env.NODE_ENV !== 'production' ? (0, _warning2.default)(vocabularyName, 'The vocabulary controlled input with name \'' + name + '\' is not associated with a vocabulary. Set the \'vocabularyName\' prop.') : void 0;

  if (vocabularyName) {
    return {
      onMount: function onMount() {
        dispatch((0, _vocabulary.readVocabularyItems)(vocabularyName));
      }
    };
  }

  return {};
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  var onMount = ownProps.onMount,
      vocabularyName = ownProps.vocabularyName,
      remainingOwnProps = _objectWithoutProperties(ownProps, ['onMount', 'vocabularyName']);

  return _extends({}, remainingOwnProps, stateProps, dispatchProps);
};

var ConnectedVocabularyControlledInput = exports.ConnectedVocabularyControlledInput = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps, mergeProps)(_VocabularyControlledInput2.default);

var IntlAwareConnectedVocabularyControlledInput = (0, _reactIntl.injectIntl)(ConnectedVocabularyControlledInput);

IntlAwareConnectedVocabularyControlledInput.propTypes = _extends({}, _VocabularyControlledInput2.default.propTypes, {
  vocabularyName: _react.PropTypes.string.isRequired
});

exports.default = IntlAwareConnectedVocabularyControlledInput;