'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _redux = require('redux');

var _reduxThunk = require('redux-thunk');

var _reduxThunk2 = _interopRequireDefault(_reduxThunk);

var _reactRouter = require('react-router');

var _history = require('history');

var _reactRouterRedux = require('react-router-redux');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _scriptjs = require('scriptjs');

var _scriptjs2 = _interopRequireDefault(_scriptjs);

var _warning = require('warning');

var _warning2 = _interopRequireDefault(_warning);

var _cspaceUiPluginThemeSample = require('cspace-ui-plugin-theme-sample');

var _cspaceUiPluginThemeSample2 = _interopRequireDefault(_cspaceUiPluginThemeSample);

var _cspace = require('./actions/cspace');

var _options = require('./actions/options');

var _reducers = require('./reducers');

var _reducers2 = _interopRequireDefault(_reducers);

var _App = require('./components/App');

var _App2 = _interopRequireDefault(_App);

var _citation = require('./plugins/recordTypes/citation');

var _citation2 = _interopRequireDefault(_citation);

var _concept = require('./plugins/recordTypes/concept');

var _concept2 = _interopRequireDefault(_concept);

var _object = require('./plugins/recordTypes/object');

var _object2 = _interopRequireDefault(_object);

var _person = require('./plugins/recordTypes/person');

var _person2 = _interopRequireDefault(_person);

var _place = require('./plugins/recordTypes/place');

var _place2 = _interopRequireDefault(_place);

var _organization = require('./plugins/recordTypes/organization');

var _organization2 = _interopRequireDefault(_organization);

var _configHelpers = require('./helpers/configHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global document, window */

var loadPolyfills = function loadPolyfills(locale, callback) {
  if (window.Intl) {
    window.setTimeout(callback, 0);
  } else {
    var url = 'https://cdn.polyfill.io/v2/polyfill.min.js?features=Intl.~locale.' + locale;

    (0, _scriptjs2.default)(url, callback);
  }
};

var pluginContext = {
  Immutable: _immutable2.default,
  React: _react2.default
};

var defaultConfig = (0, _configHelpers.mergeConfig)({
  basename: '',
  className: '',
  container: 'main',
  cspaceUrl: '',
  index: undefined,
  locale: 'en',
  messages: undefined,
  prettyUrls: false
}, {
  plugins: [(0, _citation2.default)(), (0, _concept2.default)(), (0, _object2.default)(), (0, _person2.default)(), (0, _place2.default)(), (0, _organization2.default)(), (0, _cspaceUiPluginThemeSample2.default)()]
}, pluginContext);

module.exports = function (uiConfig) {
  var _mergeConfig = (0, _configHelpers.mergeConfig)(defaultConfig, uiConfig, pluginContext),
      basename = _mergeConfig.basename,
      className = _mergeConfig.className,
      container = _mergeConfig.container,
      cspaceUrl = _mergeConfig.cspaceUrl,
      index = _mergeConfig.index,
      locale = _mergeConfig.locale,
      messages = _mergeConfig.messages,
      optionLists = _mergeConfig.optionLists,
      prettyUrls = _mergeConfig.prettyUrls,
      recordTypes = _mergeConfig.recordTypes;

  var mountNode = document.querySelector(container);

  process.env.NODE_ENV !== 'production' ? (0, _warning2.default)(mountNode, 'No container element was found using the selector \'' + container + '\'. The CollectionSpace UI will not be rendered.') : void 0;

  if (mountNode) {
    (function () {
      process.env.NODE_ENV !== 'production' ? (0, _warning2.default)(mountNode !== document.body, 'The container element for the CollectionSpace UI found using the selector \'' + container + '\' is the document body. This may cause problems, and is not supported.') : void 0;

      var store = (0, _redux.createStore)(_reducers2.default, (0, _redux.applyMiddleware)(_reduxThunk2.default));
      var baseHistory = prettyUrls ? (0, _reactRouter.useRouterHistory)(_history.createHistory)({ basename: basename }) : _reactRouter.hashHistory;
      var history = (0, _reactRouterRedux.syncHistoryWithStore)(baseHistory, store);

      store.dispatch((0, _cspace.configureCSpace)({
        url: cspaceUrl
      }));

      store.dispatch((0, _options.addOptions)(optionLists));

      var props = {
        className: className,
        history: history,
        index: index,
        locale: locale,
        messages: messages,
        recordTypes: recordTypes,
        store: store
      };

      loadPolyfills(locale, function () {
        (0, _reactDom.render)(_react2.default.createElement(_App2.default, props), mountNode);
      });
    })();
  }
};