'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        citation: {
          serviceConfig: {
            name: 'citationauthorities',
            isAuthority: true,
            vocabularies: {
              citation: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.citationauthorities.citation.nameTitle',
                    'defaultMessage': 'Local Citations'
                  }
                })
              },
              worldcat: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.citationauthorities.worldcat.nameTitle',
                    'defaultMessage': 'WorldCat Citations'
                  }
                })
              }
            },
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'citations',
                  'ns2:citations_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/citation',
                    citationTermGroupList: {
                      citationTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.citation.nameTitle',
              'defaultMessage': 'Citation'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          }
        }
      }
    };
  };
};