'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        concept: {
          serviceConfig: {
            name: 'conceptauthorities',
            isAuthority: true,
            vocabularies: {
              concept: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.conceptauthorities.concept.nameTitle',
                    'defaultMessage': 'Associated Concepts'
                  }
                })
              },
              activity: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.conceptauthorities.activity.nameTitle',
                    'defaultMessage': 'Activity Concepts'
                  }
                })
              },
              material_ca: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.conceptauthorities.material_ca.nameTitle',
                    'defaultMessage': 'Material Concepts'
                  }
                })
              }
            },
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'concepts',
                  'ns2:concepts_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/concept',
                    conceptTermGroupList: {
                      conceptTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.concept.nameTitle',
              'defaultMessage': 'Concept'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          }
        }
      }
    };
  };
};