'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _recordDataHelpers = require('../../../helpers/recordDataHelpers');

exports.default = function (pluginContext) {
  return function (cspaceDocument) {
    if (!cspaceDocument) {
      return '';
    }

    var Immutable = pluginContext.Immutable;


    var common = (0, _recordDataHelpers.getPart)(cspaceDocument, 'collectionobjects_common');

    if (!common) {
      return '';
    }

    var objectNumber = common.get('objectNumber');
    var titleGroupList = common.get('titleGroupList');

    var title = void 0;

    if (titleGroupList) {
      var titleGroup = titleGroupList.get('titleGroup');

      if (Immutable.List.isList(titleGroup)) {
        titleGroup = titleGroup.first();
      }

      title = titleGroup ? titleGroup.get('title') : null;
    }

    var parts = [];

    [objectNumber, title].forEach(function (part) {
      if (part) {
        parts.push(part);
      }
    });

    return parts.join(' – ');
  };
};