'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        organization: {
          serviceConfig: {
            name: 'orgauthorities',
            isAuthority: true,
            vocabularies: {
              organization: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.orgauthorities.organization.nameTitle',
                    'defaultMessage': 'Local Organizations'
                  }
                })
              },
              ulan_oa: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.orgauthorities.ulan_oa.nameTitle',
                    'defaultMessage': 'ULAN Organizations'
                  }
                })
              }
            },
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'organizations',
                  'ns2:organizations_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/organization',
                    orgTermGroupList: {
                      orgTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.organization.nameTitle',
              'defaultMessage': 'Organization'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          }
        }
      }
    };
  };
};