'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        person: {
          serviceConfig: {
            name: 'personauthorities',
            isAuthority: true,
            vocabularies: {
              person: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.personauthorities.person.nameTitle',
                    'defaultMessage': 'Local Persons'
                  }
                })
              },
              ulan_pa: {
                messageDescriptors: (0, _reactIntl.defineMessages)({
                  vocabNameTitle: {
                    'id': 'vocab.personauthorities.ulan_pa.nameTitle',
                    'defaultMessage': 'ULAN Persons'
                  }
                })
              }
            },
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'persons',
                  'ns2:persons_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/person',
                    personTermGroupList: {
                      personTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.person.nameTitle',
              'defaultMessage': 'Person'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          }
        }
      }
    };
  };
};