'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isCollapsed = undefined;

var _prefs = require('../../actions/prefs');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var collapse = function collapse(state, action) {
  var _action$meta = action.meta,
      recordType = _action$meta.recordType,
      name = _action$meta.name;


  var recordTypePanelStates = state[recordType];

  var updatedRecordTypePanelStates = Object.assign({}, recordTypePanelStates, _defineProperty({}, name, action.payload));

  return Object.assign({}, state, _defineProperty({}, recordType, updatedRecordTypePanelStates));
};

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case _prefs.COLLAPSE_PANEL:
      return collapse(state, action);
    default:
      return state;
  }
};

var isCollapsed = exports.isCollapsed = function isCollapsed(state, recordType, name) {
  if (!state) {
    return undefined;
  }

  var recordTypePanelStates = state[recordType];

  if (!recordTypePanelStates) {
    return undefined;
  }

  return recordTypePanelStates[name];
};